WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Widgets on Pages

The easy way to Add Widgets or Sidebars to Posts and Pages by shortcodes or template tags.

0.0.12

  1. Updated intermals to "re-hide" options screen from non Administrators (thanks to fran klin for spotting this)
  2. Removed some potential name conflicts

0.0.11

  1. Replaced all short PHP tags with long ones to ensure the plugin worked as expected even on sites where PHP short tags were disabled. Props to drdanchaz over at the WordPress.org forums for the tip-off.
  2. Added more specific selectors to the wop.css to target ul>li as well as ul.

0.0.10

  1. Added option to add CSS file to auto remove bullets... this has been the biggest cause of support mails/forum posts.

0.0.9

  1. Corrected shortcode tags show in Widget admin page.

0.0.8

  1. Resolve potential conflicts with other plugins (contextual help callback).
  2. Fixed bug so that Widgets settings are not lost when switching themes. Credit to wesleong over at WordPress.org forums for getting this fix on the right track!
  3. Add settings link on main dashboard plugins page

0.0.7

  1. Resolve conflict with YouTube Lyte plugin (thanks to Massa P for the tip off)
  2. Can now add sidebars via template tags so extra sidebars can be added to themes very quickly.
  3. Added contextual help.

0.0.6

Sidebars can now be named via the options page. These names can be used in place of the numerical id used in older versions. Note that if you change the name you will need to manually update any shortcodes where this is being used.

0.0.5

Fix for activation errors. Looks like it might've been the use of php short open tags or line ending chars.

0.0.4

There is now no longer a limit on the number of sidebars that can be defined. Each sidebar can be called independently.

0.0.3

The number of sidebars can now be defined via the settings menu. There can be up to 5 defined. Each sidebar can be called independently.

0.0.2

Minor update so that the functions.php code is not needed anymore... makes like easier.

0.0.1

1st release - only supports one defined in-post/page widget area

Requires: 2.8 or higher
Compatible up to: 3.4.2
Last Updated: 2012-11-4
Downloads: 186,188

Ratings

4 stars
4.8 out of 5 stars

Support

0 of 6 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

2 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1 100,1,1 100,5,5 100,1,1 100,1,1 100,1,1
100,1,1 100,3,3 100,1,1
100,1,1 100,9,9
100,1,1
100,1,1
100,1,1
100,2,2
100,3,3 50,2,1 75,8,6
100,1,1
100,4,4
100,4,4
100,3,3
100,3,3 100,11,11 100,8,8
100,5,5
100,24,24
100,9,9
100,3,3
100,16,16 100,1,1
100,5,5 100,6,6
100,2,2
83,12,10
100,4,4
75,4,3
100,2,2
100,3,3
40,5,2
100,3,3
100,1,1
100,2,2